> ## Documentation Index
> Fetch the complete documentation index at: https://upstash.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Resume Flow Control Key

> Resumes the delivery of messages associated with a specific flow-control key.

When a flow-control key is resumed, messages associated with that key will begin to be delivered again.


## OpenAPI

````yaml /workflow/openapi.yaml post /v2/flowControl/{flowControlKey}/resume
openapi: 3.1.0
info:
  title: Upstash Workflow REST API
  description: >
    Upstash Workflow is a serverless workflow orchestration service built on top
    of Upstash QStash and Upstash Redis.
  version: 2.0.0
  contact:
    name: Upstash
    url: https://upstash.com
servers:
  - url: https://qstash.upstash.io
security:
  - bearerAuth: []
  - bearerAuthQuery: []
paths:
  /v2/flowControl/{flowControlKey}/resume:
    post:
      tags:
        - Flow Control
      summary: Resume Flow Control Key
      description: >-
        Resumes the delivery of messages associated with a specific flow-control
        key.
      parameters:
        - name: flowControlKey
          in: path
          required: true
          schema:
            type: string
          description: The flow-control key to resume.
      responses:
        '200':
          description: The flow-control key has been resumed.
        '400':
          description: Bad request. Returned when the flow-control key is not provided.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      type: object
      required:
        - error
      properties:
        error:
          type: string
          description: Error message
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: QStash authentication token
    bearerAuthQuery:
      type: apiKey
      in: query
      name: qstash_token
      description: QStash authentication token passed as a query parameter

````